%define section free

Summary:        Dependency Management Utility
Name:           jaranalyzer
Version:        0.9.3
Release:        1jpp
Epoch:          0
License:        Apache Software License
URL:            http://www.kirkk.com/wiki/wiki.php/Main/JarAnalyzer
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://www.kirkk.com/zip/JarAnalyzer-src-0.9.3.zip
Source1:        jaranalyzer-0.9.3.script
Patch0:         jaranalyzer-0.9.3-build_xml.patch
BuildRequires:  ant >= 0:1.6, ant-junit >= 0:1.6, jpackage-utils >= 0:1.5
BuildRequires:  bcel
BuildRequires:  regexp

Requires:  bcel
Requires:  regexp
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
JarAnalyzer is a dependency management utility for jar files. 
It's primary purpose is to traverse through a directory, parse 
each of the jar files in that directory, and identify the 
dependencies between the jar files. The output is an xml file 
representing the PhysicalDependencies between the jar files.

%prep
%setup -q -c -n %{name}-%{version}
# remove all binary libs
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

%patch0 -b .sav

%build
pushd lib
ln -sf $(build-classpath regexp) jakarta-regexp-1.3.jar
ln -sf $(build-classpath bcel) bcel-5.1.jar
popd

ant

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{_bindir}
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/runxmlsummary

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}

install -m 0644 bin/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

install -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 0644 bin/license.txt \
	$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_bindir}/runxmlsummary
%{_javadir}/*.jar
%doc %{_docdir}/%{name}-%{version}


%changelog
* Thu Oct 20 2005 Ralph Apel <r.apel@r-apel.de> - 0:0.9.3-1jpp
- First JPackage build
